<?php

session_start();

$_SESSION['Contador'];
$Contador = $_SESSION['Contador'];

$Telefono = mysql_query("SELECT telefono FROM clientes WHERE numerodocumento =" .$_SESSION['Cedula']);

while ($datoII= mysql_fetch_array($Telefono )){
$TelefonoII = array('Telefono' => $datoII['telefono']);
}

$result = mysql_query("SELECT descripcion, precioproducto, cantidadproducto, ventas.total AS total FROM ventas, facturas, productos WHERE ventas.idfactura = ".$_SESSION['Numero']." AND ventas.idproducto = productos.codigo AND ventas.idfactura = facturas.numero AND ventas.tipo LIKE 'FACTURA' AND facturas.tipo LIKE 'FACTURA' AND idproducto > 0 ORDER BY descripcion");


//

        if(mysql_num_rows($result)>0){  
       while ($dato = mysql_fetch_array($result)){
$_SESSION['linea'][($_SESSION['Contador'] + 1)] = array('codigo' => $dato['codigo_1'], 'producto' => $dato['descripcion'], 'cantidad' => $dato['cantidadproducto'], 'valor' => $dato['precioproducto'], 'valorsiniva' => ($dato['precioproducto']/1.19), 'subtotal' => ($dato['precioproducto']*$dato['cantidadproducto']), 'subtotalsiniva' => 777);
$_SESSION['Subtotal'] = $_SESSION['Subtotal'] + (($dato['cantidadproducto'] * $dato['precioproducto'])/1.19);
$_SESSION['Total'] = $_SESSION['Total'] + ($dato['precioproducto']*$dato['cantidadproducto']);
$_SESSION['Contador'] = $_SESSION['Contador'] + 1;
$Contador = $_SESSION['Contador'];
               
        }
$_SESSION['IVA'] = $_SESSION['IVA'] + ($_SESSION['Total']-$_SESSION['Subtotal']) ;
        
       }

//1----

//variable que guarda el nombre del archivo PDF
$archivo= $_SESSION['Numero']." Fact.pdf";

$Contador = $_SESSION['Contador'];


//Llamada al script fpdf
require('facturas/fpdf.php');


$archivo_de_salida=$archivo;

$pdf=new FPDF();  //crea el objeto
//$pdf->AddPage();  //añadimos una página. Origen coordenadas, esquina superior izquierda, posición por defeto a 1 cm de los bordes.

//$pdf->AddPage();  //añadimos una página. Origen coordenadas, esquina superior izquierda, posición por defeto a 1 cm de los bordes.
if($Contador > 11){
$pdf->AddPage('L', 'A3'); //Carta
}else{
$pdf->AddPage('L', 'A5'); //Media carta
}



//logo de la tienda
$pdf->Image('imagenes/Colombina.jpg' , 5 ,5, 45, 24,'JPG', '');
//$pdf->Ln(1);
// Encabezado de la factura
$pdf->SetFont('Arial','B',9);
$pdf->Cell(180, 5, "Pagina 1 de 1", 0, 2, "R");
$pdf->SetFont('Arial','B',11);
$pdf->Cell(200, 5, "DISTRIBUCIONESMC", 0, 2, "C");
$pdf->Cell(200, 5, "NIT: 71621894-0.", 0, 2, "C");
$pdf->SetFont('Arial','B',8);
$pdf->Cell(200, 5, "Cll 20 Politecnico #15-19. Cisneros. TEL: 311 397 10 23", 0, 2, "C");
$pdf->Cell(200, 5, "REGIMEN COMUN", 0, 2, "C");
$pdf->SetFont('Arial','B',10);
$pdf->Ln(7);
$pdf->SetXY(10, 28);
$pdf->Cell(100, 4, "FECHA: ".$_SESSION['Fecha'] , 0, 2, "L");
$pdf->SetXY(150, 28);
$pdf->Cell(100, 4, "FACTURA DE VENTA No: ".$_SESSION['Numero'] , 0, 2, "L");
$pdf->Ln(1);

$pdf->SetXY(10, 37);
$pdf->Cell(50, 4, "CLIENTE: ".$_SESSION['NombreCliente'] , 0, 2, "L");
$pdf->SetXY(100, 37);
$pdf->Cell(50, 4, "ID: ".$_SESSION['Cedula'], 0, 2, "L");
$pdf->SetXY(10, 41);
$pdf->Cell(50, 4, "DIRECCION: ".$_SESSION['Direccion'].' '.$_SESSION['Ciudad'], 0, 2, "L");
$pdf->SetXY(100, 41);
$pdf->Cell(60, 4, "ESTABLECIMIENTO: ".$_SESSION['ApellidoCliente'], 0, 2, "L");
$pdf->SetXY(100, 45);
$pdf->Cell(60, 4, "TELEFONO: ".$_SESSION['Telefono'], 0, 2, "L");
$pdf->SetXY(10, 45);
$pdf->Cell(50, 4, "EQUIPO: ".number_format($_SESSION['Congelador']), 0, 2, "L");
$pdf->SetXY(10, 48);
$pdf->SetFont('Arial','B',11);
//$pdf->Cell(9, 8, 'COD', 0, 'L');
$pdf->Cell(30, 8, 'CANTIDAD', 0, 'L');
$pdf->Cell(100, 8, 'PRODUCTO', 0, 'L');
$pdf->Cell(40, 8, 'VALOR UNIT', 0, 'L');
$pdf->Cell(40, 8, 'TOTAL', 0, 'L');
$pdf->Line(10, 56, 210, 56);
$pdf->SetXY(10, 58);
$pdf->SetFont('Arial','',11);
$Cambio = true;
$CantidadCartones = 0;
for($Contador = $Contador; $Contador >=1; $Contador--){
if($_SESSION['linea'][$Contador]['codigo'] > 0)
{
if($Cambio == true){
    //$pdf->Cell(6, 8, $_SESSION['linea'][$Contador]['codigo'], 0, 'C');
    $pdf->Cell(30, 8, $_SESSION['linea'][$Contador]['cantidad'], 0, 'L');
    $pdf->Cell(100, 8, $_SESSION['linea'][$Contador]['producto'], 0, 'C');
    $CantidadCartones = $CantidadCartones + $_SESSION['linea'][$Contador]['cantidad'];
    $pdf->Cell(40, 8, "$ ".number_format($_SESSION['linea'][$Contador]['valor']), 0, 'C');
    $pdf->Cell(40, 8, "$ ".number_format($_SESSION['linea'][$Contador]['subtotal']), 0, 'C');
    $pdf->Ln(5);
    $Cambio = false;
}else{

    $pdf->SetXY(10, (58+($Contador*4)));
$pdf->Line(10, (60+($Contador*4)), 197, 60+($Contador*4));
    //$pdf->Cell(6, 8, $_SESSION['linea'][$Contador]['codigo'], 0, 'C');
    $pdf->Cell(30, 8, $_SESSION['linea'][$Contador]['cantidad'], 0, 'L');
    $pdf->Cell(100, 8, $_SESSION['linea'][$Contador]['producto'], 0, 'C');
    $CantidadCartones = $CantidadCartones + $_SESSION['linea'][$Contador]['cantidad'];
    $pdf->Cell(40, 8, "$ ".number_format($_SESSION['linea'][$Contador]['valor']), 0, 'C');
    $pdf->Cell(40, 8, "$ ".number_format($_SESSION['linea'][$Contador]['subtotal']), 0, 'C');
//    $pdf->Ln(5);
}
$pdf->Line(10, (60+($Contador*4)), 197, 60+($Contador*4));
}    
}

if($_SESSION['Contador'] > 11){
$pdf->SetXY(10, 225);
$pdf->Cell(60, 4, "TOTAL CARTONES: ".$CantidadCartones, 0, 2, "L");
$pdf->SetXY(10, 238);
}else{
$pdf->SetXY(10, 105);
$pdf->Cell(60, 4, "TOTAL CARTONES: ".$CantidadCartones, 0, 2, "L");
$pdf->SetXY(10, 108);
}




$pdf->SetFont('Arial','', 11);
$pdf->Cell(60, 5, "Subtotal: ".number_format($_SESSION['Subtotal']), 0, "C");

$pdf->Cell(60, 5, "Descuento ".$_SESSION['Descuento']."% : $".number_format($_SESSION['DescuentoAplicado']), 0, "C");
if($_SESSION['Contador'] > 11){
$pdf->SetXY(10, 243);
}else{
$pdf->SetXY(10, 113);
}

$pdf->Cell(60, 5, "IVA: ".number_format($_SESSION['IVA']), 0, "C");
$pdf->SetFont('Arial','B',11);
$pdf->Cell(60, 5, "TOTAL A PAGAR: ".number_format($_SESSION['Total']), 0, "C");
$pdf->SetFont('Arial','',9);
$pdf->Ln(2);


if($_SESSION['Contador'] > 11){
$pdf->SetXY(125, 238);
}else{
$pdf->SetXY(125, 108);
}


$pdf->Cell(60, 4, "RESOLUCION DIAN N 110000685857 DE 2016- 06 -16 ", 0, 2, "L");
$pdf->Cell(60, 4, "Tipo 02 computaddor 10001 al 100000.", 0, 2, "L");

//Salto de línea
$pdf->Ln(2);




//2--


require_once('AttachMailer.php'); 





$pdf->Output( $archivo_de_salida);


//cierra el objeto pdf

//Creacion de las cabeceras que generarán el archivo pdf
header ("Content-Type: application/pdf");
header ("Content-Disposition: attachment; filename=$archivo");
header("Content-Length: " . filesize("$archivo"));
$fp = fopen($archivo, "r");
fpassthru($fp);
//fclose($fp);

$mailer = new AttachMailer("ventas@distribuidoramc.net", "alejopo27@gmail.com", "Nueva factura de venta ".$archivo , "Hola, se ha realizado una nueva venta al cliente ".$_SESSION['NombreCliente'].' '.$_SESSION['ApellidoCliente']);
$mailer->attachFile($archivo_de_salida);
$mailer->send() ? "Enviado": "Problema al enviar";

//$mailer = new AttachMailer("ventas@distribuidoramc.net", "mauricio.corream19@gmail.com", "Nueva factura de venta ".$archivo , "Hola, se ha realizado una nueva venta al cliente ".$_SESSION['NombreCliente'].' '.$_SESSION['ApellidoCliente']);
//$mailer->attachFile($archivo_de_salida);
//$mailer->send() ? "Enviado": "Problema al enviar";

//Eliminación del archivo en el servidor
unlink($archivo);


unset($_SESSION['Numero']);
unset($_SESSION['Fecha']);
unset($_SESSION['NombreCliente']);
unset($_SESSION['ApellidoCliente']);
unset($_SESSION['Cedula']);
unset($_SESSION['Direccion']);
unset($_SESSION['Telefono']);
unset($_SESSION['Celular']);
unset($_SESSION['Contador']);
unset($_SESSION['Correo']);
unset($_SESSION['Congelador']);
unset($_SESSION['Marca']);
unset($_SESSION['linea']);
unset($_SESSION['CodigoProducto']);
unset($_SESSION['IdCliente']);
unset($_SESSION['Factura']);
unset($_SESSION['Descuento']);
unset($_SESSION['DescuentoII']);
unset($_SESSION['DescuentoIII']);
unset($_SESSION['Subtotal']);
unset($_SESSION['Total']);
unset($_SESSION['IVA']);
unset($_SESSION['DescuentoAplicado']);
unset($dato['']);

$_SESSION['Impresa'] = true;







?>



